Bug 19862 - RoutingListAddReserves must be disabled by default
Summary: RoutingListAddReserves must be disabled by default
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-21 15:19 UTC by Jonathan Druart
Modified: 2018-06-07 08:14 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19862: Turn off RoutingListAddReserves on new installations (2.02 KB, patch)
2018-04-17 05:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19862: Turn off RoutingListAddReserves on new installations (2.08 KB, patch)
2018-05-17 11:17 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 19862: Turn off RoutingListAddReserves on new installations (2.17 KB, patch)
2018-05-17 11:58 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-12-21 15:19:08 UTC
It does not work, see bug 2894
Comment 1 Katrin Fischer 2018-04-17 05:58:03 UTC
Created attachment 74288 [details] [review]
Bug 19862: Turn off RoutingListAddReserves on new installations

The RoutingListAddReserves feature currently doesn't work as
expected (see bug 2894) and should be turned off for new
installations until properly fixed.

To test:
- Run the web installer
- Confirm that RoutingListAddReserves is set to "Don't place"
Comment 2 Julian Maurice 2018-05-17 11:17:03 UTC
Created attachment 75391 [details] [review]
Bug 19862: Turn off RoutingListAddReserves on new installations

The RoutingListAddReserves feature currently doesn't work as
expected (see bug 2894) and should be turned off for new
installations until properly fixed.

To test:
- Run the web installer
- Confirm that RoutingListAddReserves is set to "Don't place"

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 3 Julian Maurice 2018-05-17 11:18:22 UTC
Should we also fix updatedatabase.pl ? (For those upgrading from 3.00 ...)
Comment 4 Marcel de Rooy 2018-05-17 11:58:42 UTC
Created attachment 75393 [details] [review]
Bug 19862: Turn off RoutingListAddReserves on new installations

The RoutingListAddReserves feature currently doesn't work as
expected (see bug 2894) and should be turned off for new
installations until properly fixed.

To test:
- Run the web installer
- Confirm that RoutingListAddReserves is set to "Don't place"

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2018-05-17 11:59:20 UTC
(In reply to Julian Maurice from comment #3)
> Should we also fix updatedatabase.pl ? (For those upgrading from 3.00 ...)

No high risk there :)
Comment 6 Jonathan Druart 2018-05-17 15:17:07 UTC
Pushed to master for 18.05, thanks to everybody involved!